com.opensymphony.xwork2.conversion.annotations

## Enum ConversionType

- java.lang.Object
- - java.lang.Enum<ConversionType>
  - - com.opensymphony.xwork2.conversion.annotations.ConversionType

- All Implemented Interfaces:
    Serializable, Comparable<ConversionType>

      public enum ConversionType
      extends Enum<ConversionType>

  `ConversionType`
  Version:
    $Id$
  Author:
    Rainer Hermanns

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION`
    `CLASS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ConversionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConversionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION

          public static final ConversionType APPLICATION

    - #### CLASS

          public static final ConversionType CLASS

  - ### Method Detail

    - #### values

          public static ConversionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversionType c : ConversionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ConversionType>`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.